Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004586 [JEDI VCL] 00 JVCL Components minor always 2008-11-17 03:19 2008-12-22 07:27
Reporter wesson View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004586: JvAppStorage: No longer load/save char property
Description Since Delphi 2009, the default proptype for a CHAR property is TkWchar (it was TkChar before)

TkWchar typed properties are ignored by the loadproperty / saveproperty
Additional Information Patch included to solve the issue

(the patch also include another small change, introducing DoReadWideString and DoWriteWideString virtual method that may be overriden by descendant classes. This allow to solve a potential issue with storage of unicode strings in registry under D2007 and japanese version of Windows, as UTF-8 string doesn't travel safely under this OS, so the normal UTF <-> Unicode conversion may not work)
Tags No tags attached.
Attached Files ? file icon AppStorage_charprop_fix.patch [^] (3,859 bytes) 2008-11-17 03:19
zip file icon unicode_storage_test.zip [^] (496,421 bytes) 2008-11-19 18:27
? file icon JvSimpleXml_Unicodefix.patch [^] (565 bytes) 2008-11-20 03:12

- Relationships
related to 0004635resolvedobones Under non unicode versions of Delphi AppStorage classes may fail to properly save / reload unicode strings 

-  Notes
(0015015)
obones (administrator)
2008-11-18 08:24

Please provide the zipped sources of a sample application showing this.
(0015036)
wesson (reporter)
2008-11-19 18:33

Here you have:

A test application showing various issues storing unicode strings with AppStorage classes . Binaries included

Also included a slight modification of JvSimpleXml (TJvSimpleXML) to pass the test app.
(0015145)
obones (administrator)
2008-12-22 05:01

The default should be tkUChar under D2009, but I added tkWChar anyway.
As to the ReadWideString/WriteWriteString functions, please create a new issue with more details for them
(0015168)
jfudickar (developer)
2008-12-22 06:36

Hi Olivier,

your change didn't work in my D2009 installation.

I didn't have a tkUChar Datatype ?

Greetings
Jens
(0015170)
obones (administrator)
2008-12-22 07:27

My bad, I mixed that up with tkUString, I fixed it in SVN

- Issue History
Date Modified Username Field Change
2008-11-17 03:19 wesson New Issue
2008-11-17 03:19 wesson File Added: AppStorage_charprop_fix.patch
2008-11-18 08:24 obones Note Added: 0015015
2008-11-18 08:24 obones Status new => feedback
2008-11-19 18:27 wesson File Added: unicode_storage_test.zip
2008-11-19 18:33 wesson Note Added: 0015036
2008-11-20 03:12 wesson File Added: JvSimpleXml_Unicodefix.patch
2008-12-03 16:22 jfudickar Issue Monitored: jfudickar
2008-12-22 05:01 obones Note Added: 0015145
2008-12-22 05:01 obones Status feedback => resolved
2008-12-22 05:01 obones Fixed in Version => Daily / SVN
2008-12-22 05:01 obones Resolution open => fixed
2008-12-22 05:01 obones Assigned To => obones
2008-12-22 06:36 jfudickar Note Added: 0015168
2008-12-22 06:36 jfudickar Status resolved => feedback
2008-12-22 06:36 jfudickar Resolution fixed => reopened
2008-12-22 07:27 obones Note Added: 0015170
2008-12-22 07:27 obones Status feedback => resolved
2008-12-22 07:27 obones Resolution reopened => fixed
2008-12-23 00:41 obones Relationship added related to 0004635


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker